d3.csv('https://gist.githubusercontent.com/SravyaAnnadi/2d64e72b5997b3cbbc30bbc4d6844f76/raw/e73ed81d8d0f87ef117b39c3104c58bda28f76ea/sample.csv', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'AvilaAdobe'), 
  y:unpack(rows, 'Firehouse'), 
  z:unpack(rows, 'ChineseAmerican'),
	mode: 'markers',
	marker: {
		color: 'rgb(150, 51, 153)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(150, 51, 153)',
		width: 1},
		opacity: 0.5},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'AvilaAdobe',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
    yaxis: {
      title: 'Firehouse',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
  zaxis: {
      title: 'ChineseAmerican',
      titlefont: {
         color: 'blue',
         family: 'Arial, Open Sans',
         size: 12
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
